import * as $dara from '@darabonba/typescript';
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeMacsecKeysMacsecKey extends $dara.Model {
    cak?: string;
    cipherSuite?: string;
    ckn?: string;
    startOn?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeMacsecKeys extends $dara.Model {
    macsecKey?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeMacsecKeysMacsecKey[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeTagsTags extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeTags extends $dara.Model {
    tags?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeTagsTags[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionType extends $dara.Model {
    accessPointId?: string;
    accessPointType?: string;
    adDetailLocation?: string;
    adLocation?: string;
    bandwidth?: number;
    businessStatus?: string;
    chargeType?: string;
    circuitCode?: string;
    creationTime?: string;
    description?: string;
    enabledTime?: string;
    endTime?: string;
    expectSpec?: string;
    hasReservationData?: string;
    lineOperator?: string;
    loaStatus?: string;
    macsecKeys?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeMacsecKeys;
    name?: string;
    opticalModuleModel?: string;
    orderMode?: string;
    parentPhysicalConnectionAliUid?: number;
    parentPhysicalConnectionId?: string;
    peerLocation?: string;
    physicalConnectionId?: string;
    portNumber?: string;
    portType?: string;
    productType?: string;
    qosId?: string;
    redundantPhysicalConnectionId?: string;
    reservationActiveTime?: string;
    reservationInternetChargeType?: string;
    reservationOrderType?: string;
    resourceGroupId?: string;
    spec?: string;
    status?: string;
    tags?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionTypeTags;
    type?: string;
    virtualPhysicalConnectionCount?: number;
    vlanId?: string;
    vpconnStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBodyPhysicalConnectionSet extends $dara.Model {
    physicalConnectionType?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSetPhysicalConnectionType[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The page number. Default value: **1**.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page. Default value: **10**. Valid values: **1** to **50**.
     *
     * @example
     * 10
     */
    pageSize?: number;
    physicalConnectionSet?: DescribePhysicalConnectionsResponseBodyPhysicalConnectionSet;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 0E6D0EC4-7C91-53E2-9F65-64BF713114B0
     */
    requestId?: string;
    /**
     * @remarks
     * The number of returned entries.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
